﻿using System;
using System.Collections.Generic;
// using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Components
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void RunButton_Click(object sender, EventArgs e)
        {
            displayTree(this);
        }

        private void displayTree (Control obj)
        {
            tree.Nodes.Clear ();
            displayBranch (tree.Nodes, obj);
        }

        private void displayBranch (TreeNodeCollection branch, Control obj)
        {
            TreeNode item = new TreeNode ();
            item.Text = obj.ToString();
            branch.Add(item);
            foreach (Control c in obj.Controls)
               displayBranch (item.Nodes, c);
        }

    }
}
